[{
##########################################
# ENSEMBLE SIZE
##########################################
"n_models": 8,

##########################################
# OPTIMIZATION
##########################################
"max_epochs": 500,
"patience": 10,
"early_stopping": true,
"validation_split": 0.2,
"minibatch_size": 128,

##########################################
# RANDOM NEGATIVE PEPTIDES
##########################################
"random_negative_rate": 0.0,
"random_negative_constant": 25,
"random_negative_affinity_min": 20000.0,
"random_negative_affinity_max": 50000.0,

##########################################
# PEPTIDE REPRESENTATION
##########################################
# One of "one-hot", "embedding", or "BLOSUM62".
"peptide_amino_acid_encoding": "BLOSUM62",
"use_embedding": false,  # maintained for backward compatability
"kmer_size": 15,

##########################################
# NEURAL NETWORK ARCHITECTURE
##########################################
"locally_connected_layers": [
    {
        "filters": 8,
        "activation": "tanh",
        "kernel_size": 3
    }
],
"activation": "relu",
"output_activation": "sigmoid",
"layer_sizes": [
   16
],
"dense_layer_l1_regularization": 0.0,
"batch_normalization": false,
"dropout_probability": 0.0,
}]
